# XMLWriter::endAttribute

# xmlwriter_end_attribute

(PHP 5 >= 5.1.2, PHP 7, PECL xmlwriter >= 0.1.0)

XMLWriter::endAttribute -- xmlwriter_end_attribute — End attribute

### Description

Object oriented style

XMLWriter::endAttribute ( void ) : bool

Procedural style

xmlwriter_end_attribute ( resource `$xmlwriter` ) : bool

Ends the current attribute.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLWriter::startAttribute() - Create start attribute
- XMLWriter::startAttributeNs() - Create start namespaced attribute
- XMLWriter::writeAttribute() - Write full attribute
- XMLWriter::writeAttributeNs() - Write full namespaced attribute